org.eclipse.microprofile.openapi.apps.petstore.model

## Class BadOrder

- java.lang.Object
- - org.eclipse.microprofile.openapi.apps.petstore.model.BadOrder

    public class BadOrder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`BadOrder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getErrorCode()`
`long` `getId()`
`long` `getPetId()`
`int` `getQuantity()`
`Date` `getShipDate()`
`String` `getStatus()`
`boolean` `isComplete()`
`void` `setComplete(boolean complete)`
`void` `setId(long id)`
`void` `setPetId(long petId)`
`void` `setQuantity(int quantity)`
`void` `setShipDate(Date shipDate)`
`void` `setStatus(String status)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BadOrder

    public BadOrder()

### Method Detail

#### getErrorCode

    public long getErrorCode()

#### getId

    public long getId()

#### setId

    public void setId(long id)

#### isComplete

    public boolean isComplete()

#### setComplete

    public void setComplete(boolean complete)

#### getPetId

    public long getPetId()

#### setPetId

    public void setPetId(long petId)

#### getQuantity

    public int getQuantity()

#### setQuantity

    public void setQuantity(int quantity)

#### getStatus

    public String getStatus()

#### setStatus

    public void setStatus(String status)

#### getShipDate

    public Date getShipDate()

#### setShipDate

    public void setShipDate(Date shipDate)